DeviceInfo Struct Reference

`#include <spyserver_protocol.h>`

## Public Attributes

uint32_t | DeviceType
uint32_t | DeviceSerial
uint32_t | MaximumSampleRate
uint32_t | MaximumBandwidth
uint32_t | DecimationStageCount
uint32_t | GainStageCount
uint32_t | MaximumGainIndex
uint32_t | MinimumFrequency
uint32_t | MaximumFrequency
uint32_t | Resolution
uint32_t | MinimumIQDecimation
uint32_t | ForcedIQFormat

## Member Data Documentation

## DecimationStageCount

uint32_t DeviceInfo::DecimationStageCount

## DeviceSerial

uint32_t DeviceInfo::DeviceSerial

## DeviceType

uint32_t DeviceInfo::DeviceType

## ForcedIQFormat

uint32_t DeviceInfo::ForcedIQFormat

## GainStageCount

uint32_t DeviceInfo::GainStageCount

## MaximumBandwidth

uint32_t DeviceInfo::MaximumBandwidth

## MaximumFrequency

uint32_t DeviceInfo::MaximumFrequency

## MaximumGainIndex

uint32_t DeviceInfo::MaximumGainIndex

## MaximumSampleRate

uint32_t DeviceInfo::MaximumSampleRate

## MinimumFrequency

uint32_t DeviceInfo::MinimumFrequency

## MinimumIQDecimation

uint32_t DeviceInfo::MinimumIQDecimation

## Resolution

uint32_t DeviceInfo::Resolution

The documentation for this struct was generated from the following file:

- spyserver_protocol.h